import { getCategoryList, setCategoryList, addCategoryList } from '@/api/categoryList'

const state = {
  getCategoryData: []
}

const mutations = {
  GET_CATEGORY: (state, data) => {
    state.getCategoryData = data
  }
}

const actions = {
  // 获取课程表专区
  getBlockList({ commit, state }, obj) {
    const blockType = obj.blockType
    return new Promise((resolve, reject) => {
      getCategoryList(blockType).then((res) => {
        const list = res.data
        commit('GET_CATEGORY', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表专区
  setBlockList({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setCategoryList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 添加课程表专区
  addBlockList({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      addCategoryList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

